#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int BrojCif(unsigned a)
{
	int i=0;
	while(a!=0)
	{
		a/=10;
		i++;
	}
	return i;
}
long long Spoj(long long  a, long long b, long long c) {
	return pow(10,BrojCif(b)+BrojCif(c))*a+b*pow(10,BrojCif(c))+c;    
}
long long Veci(long long a, long long b, long long c)
{
	if(Spoj(a,b,c) >= Spoj(a,c,b))
	return Spoj(a,b,c);
	else return Spoj(a,c,b);
}
long long Brojd(long long a, long long b, long long c)
{
	if(Veci(a,b,c) >= Veci(b,a,c) && Veci(a,b,c) >= Veci(c,a,b)) return Veci(a,b,c);
	else if(Veci(b,a,c) >= Veci(a,b,c) && Veci(b,a,c) >= Veci(c,a,b)) return Veci(b,a,c);
	else if(Veci(c,a,b) >= Veci(a,b,c) && Veci(c,a,b) >= Veci(b,a,c)) return Veci(c,a,b);
}
void main(int argc, char *argv[]) {
	long long a,b,c;
	scanf("%d",&a);
	scanf("%d",&b);
	scanf("%d",&c);
	printf("%d",Brojd(a,b,c));
}